MintService
The MintService methods and their request and response messages.
Generated from mint.proto. Every method is
POST /rpc/engram.app.v1.MintService/<Method> with a JSON or protobuf body and an
x-api-key header.
Methods
Section titled “Methods”| Method | Request | Response |
|---|---|---|
ListMintKinds |
ListMintKindsRequest |
ListMintKindsResponse |
Messages
Section titled “Messages”ListMintKindsRequest
Section titled “ListMintKindsRequest”No fields.
ListMintKindsResponse
Section titled “ListMintKindsResponse”| Field | Type |
|---|---|
mint_kinds |
repeated MintKind |
MintFieldDescriptor
Section titled “MintFieldDescriptor”| Field | Type |
|---|---|
name |
string |
label |
string |
field_kind |
MintFieldKind |
required |
bool |
MintKind
Section titled “MintKind”| Field | Type |
|---|---|
kind |
string |
provider |
string |
display_name |
string |
fields |
repeated MintFieldDescriptor |
MintFieldKind
Section titled “MintFieldKind”| Value | Number |
|---|---|
MINT_FIELD_KIND_UNSPECIFIED |
0 |
MINT_FIELD_KIND_CONFIG |
1 |
MINT_FIELD_KIND_SEALED_SECRET |
2 |